## tecnoballz 0.93.1

=== debian/changelog ===
tecnoballz (0.93.1-6build1) wily; urgency=medium

  * No-change rebuild against libtinyxml2.6.2v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Aug 2015 20:55:10 +0000

tecnoballz (0.93.1-6) unstable; urgency=medium

  * Add bouncer-restriction.patch.
    Fix minimum distance of bouncers to walls in boss levels.
    Thanks to Celelibi for the report and Bruno Ethvignot for the patch.
    (Closes: #776262)

 -- Markus Koschany <apo@gambaru.de>  Sun, 22 Mar 2015 20:12:25 +0100

tecnoballz (0.93.1-5) unstable; urgency=medium

  * gigablitz-gauge.patch: Fix gigablitz gauge was not working.
    Thanks to Celelibi for the report and Bruno Ethvignot for the patch.
    (Closes: #776342)
  * right-click-game-over.patch: Fix right click game over bug.
    Thanks to Celelibi for the report and Bruno Ethvignot for the patch.
    (Closes: #776263)

 -- Markus Koschany <apo@gambaru.de>  Wed, 11 Feb 2015 15:36:29 +0100

tecnoballz (0.93.1-4) unstable; urgency=medium

  * Depend on libsdl-mixer1.2 (>= 1.2.12-11) because the old dependency was
    unsatisfiable on arm64 and ppc64el.

 -- Markus Koschany <apo@gambaru.de>  Sat, 31 Jan 2015 16:05:38 +0100

tecnoballz (0.93.1-3) unstable; urgency=medium

  * Move package to Git. Update VCS-fields.
  * Tighten the dependency on libsdl-mixer1.2 and pull in the latest
    version which depends on libmikmod3. Therefore the sound will work again.
    Thanks to Celelibi for the report. (Closes: #776260)

 -- Markus Koschany <apo@gambaru.de>  Fri, 30 Jan 2015 12:57:09 +0100

tecnoballz (0.93.1-2) unstable; urgency=medium

  * Team upload.
  * Do not use the obsolete and incorrect full path to dpkg-statoverride.
    Closes: #770059

 -- Peter Pentchev <roam@ringlet.net>  Sat, 29 Nov 2014 02:17:51 +0200

tecnoballz (0.93.1-1) unstable; urgency=medium

  * Imported Upstream version 0.93.1.
    - Fix a segfault caused by a wrong calculation of coordinates of sprites.
      Thanks to Noel Duffy for the report. (Closes: #627482)
    - Fix paddle movement restriction for "inversor malus" feature.
      Thanks to Celelibi for the report and patch. (Closes: #510603)
    - Fix the bug that sprites (balls and gems) are drawn on the right panel.
      Thanks to Celelibi for the report and patch. (Closes: #510492)
    - Fix collision check not accurate enough for fast balls.
      Thanks to Celelibi for the report and patch! (Closes: #510770)
  * Add myself to Uploaders.
  * Declare compliance with Debian Policy 3.9.6.
  * Drop all patches. They are merged or fixed upstream.
    - Makefile-supervisor.patch
    - system-tinyxml.diff
    - 010_scorefile_path.diff
    - 011_gcc-4.3-fixes.diff
    - 020_level_data.diff
    - 030_texts_dir.diff
    - 031_honor_cxxflags.diff
    - 032_warnings.patch
    - manpage-window-mode.patch
  * Add the following patches:
    - custom-CXXFLAGS.patch: Allow the use of custom CXXFLAGS for Debian.
    - disable-Werror.patch: disable the use of -Werror for production purposes
      and to avoid possible future build failures due to simple warnings.
    - manpage.patch: windowed mode is the default now.
  * Remove dh_clean override. Do not remove Makefile.in files anymore.
  * Adjust the clean file and add an override for dh_auto_clean. Ensure that
    the game can be built twice in a row.
  * Drop tecnoballz.dirs file. There is no need to create the doc directory
    with this file.
  * Drop tecnoballz.preinst because it is obsolete.
    It refers to a version of tecnoballz which has been removed from Debian a
    long time ago.
  * tecnoballz.postinst: Remove all obsolete code related to a version of
    TecnoballZ which is no longer present in the archive.
  * Update debian/copyright for copyright format 1.0.
  * Simplify install files by removing debian/tmp prefixes.

 -- Markus Koschany <apo@gambaru.de>  Wed, 01 Oct 2014 23:51:12 +0200

tecnoballz (0.92-6) unstable; urgency=medium

  * Team upload.

  [ Markus Koschany ]
  * Use compat level 9 and require debhelper >= 9.
  * wrap-and-sort -sa.
  * Declare compliance with Debian policy 3.9.5.
  * debian/control:
    - Drop dpkg-dev build-dependency. It is not needed.
    - Drop b-d hardening-includes. Compat level 9 provides all hardening flags.
    - Switch to unversioned libmikmod-dev from libmikmod2-dev. (Closes: #745324)
  * debian/rules:
    - Remove dh_builddeb override. xz compression is the default now.
    - Build with autoreconf. Remove build-dependencies for autotools-dev,
      automake and autoconf and replace them with dh-autoreconf.
    - Use default hardening build flags instead of custom overrides for
      CPPFLAGS, CXXFLAGS and LDFLAGS.
    - Remove werror option. Use default values. The package does not FTBFS
      because of that anymore.
  * Add Makefile-supervisor.patch (Closes: #750249).
    - Fix FTBFS due to erroneous Makefile.
  * Add manpage-window-mode.patch (Closes: #722173).
    - Mention window mode in man pages.
  * Add tecnoballz.postrm (Closes: #656358).
    - Remove tecnoballz.hi when purging the package.
  * Add keywords and a comment in German to desktop file.
  * Remove source/options and use the default xz compression.

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org.

 -- Markus Koschany <apo@gambaru.de>  Thu, 26 Jun 2014 14:18:57 +0200
