=== debian/control ===
Source: tecnoballz
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Barry deFreese <bdefreese@debian.org>,
 Markus Koschany <apo@gambaru.de>
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 libmikmod-dev,
 libogg-dev,
 libsdl-image1.2-dev,
 libsdl-mixer1.2-dev,
 libsmpeg-dev,
 libtinyxml-dev,
 libvorbis-dev,
 libxext-dev,
 libxxf86dga-dev,
 libxxf86vm-dev
Standards-Version: 3.9.6
Homepage: http://linux.tlk.fr/games/TecnoballZ/
Vcs-Git: git://anonscm.debian.org/pkg-games/tecnoballz.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-games/tecnoballz.git

Package: tecnoballz
Architecture: any
Depends:
 libsdl-mixer1.2 (>= 1.2.12-11),
 tecnoballz-data,
 ${misc:Depends},
 ${shlibs:Depends}
Description: breaking block game ported from the Amiga platform
 This is a Breakout or Arkanoid like game with a lot of bonus
 stages. You can buy weapons and bonus between stages.
 Sometimes you have to defeat a guardian.
 This game is written in C++ and uses the SDL library.

Package: tecnoballz-data
Architecture: all
Depends:
 ${misc:Depends}
Description: graphic, sound and music files for the game tecnoballz
 This is a Breakout or Arkanoid like game with a lot of bonus
 stages. You can buy weapons and bonus between stages.
 Sometimes you have to defeat a guardian.
 .
 This package provides all graphics, sound, music, and text data files.
