=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--datadir=/usr/share/games

override_dh_auto_clean:
	# Building the game twice in a row does not work currently. Use
	# a custom clean file and an override instead.
	find $(CURDIR) -name Makefile -delete

override_dh_auto_install:
	dh_auto_install
	# Do not overwrite old hiscore files. Let tecnoballz.postinst handle this.
	mv $(CURDIR)/debian/tmp/var/games/tecnoballz/tecnoballz.hi \
		$(CURDIR)/debian/tmp/var/games/tecnoballz/tecnoballz.hi.clean
