=== debian/watch ===
version=3
http://linux.tlk.fr/games/TecnoballZ/download/ tecnoballz-(.*)\.(?:tgz|tar.gz|tar.bz2)
